Subject: Which cause sending Join(S,G) when switching to SPT

From: Ha Nguyen <[email-masked]>
Date: Thu, 24 Aug 2000 13:58:06 +0200

Hello,

On draft-ietf-pim-sm-v2-new-00.ps, switching from the shared tree to SPT is
described on page 5 as sending a Join(S,G) toward S. Figure 6 on page 27
shows that when JoinDesired(S,G)->TRUE, Upstream(S,G)->"joined" and
Join(S,G) is sent. The draft does not specify which action makes
JoinDesired(S,G)->TRUE in case of switchover to SPT (the router decides to
switchover by basing on some threshold in traffic density).
I would propose that the router simply start the KeepaliveTimer(S,G).

Ha Nguyen
University of Lausanne